### Constructor

# FwupdPlugin TemporaryDirectory new

since: 2.1.1

#### Declaration [src]

    FuTemporaryDirectory*
    fu_temporary_directory_new (
      const gchar* prefix,
      GError** error
    )

#### Description [src]

Creates a new temporary directory that will be deleted (recursively) when this object is destroyed.

Available since: 2.1.1

#### Parameters

`prefix`

  Type: `const gchar*`

  Optional prefix.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuTemporaryDirectory`

A `FuTemporaryDirectory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.